Qt 5.6 | Qt Core | C++ Classes | QLatin1Char

Qt 5.6.2 Reference Documentation

# QLatin1Char Class

The QLatin1Char class provides an 8-bit ASCII/Latin-1 character. More...

Header: | #include <QLatin1Char>
qmake: | QT += core

- List of all members, including inherited members

## Public Functions

| QLatin1Char(char c)
char | toLatin1() const
ushort | unicode() const

## Detailed Description

The QLatin1Char class provides an 8-bit ASCII/Latin-1 character.

This class is only useful to construct a QChar with 8-bit character.

See also QChar, QLatin1String, and QString.

## Member Function Documentation

### QLatin1Char::QLatin1Char(char c)

Constructs a Latin-1 character for c. This constructor should be used when the encoding of the input character is known to be Latin-1.

### char QLatin1Char::toLatin1() const

Converts a Latin-1 character to an 8-bit ASCII representation of the character.

### ushort QLatin1Char::unicode() const

Converts a Latin-1 character to an 16-bit-encoded Unicode representation of the character.